import App from './App'
import uView from 'uview-ui';
Vue.use(uView);
// #ifndef VUE3
import Vue from 'vue'
Vue.config.productionTip = false
App.mpType = 'app'
const app = new Vue({
    ...App
})
import common from '@/common/common.js'
Vue.use(common,app)
require('@/common/request.js')(app)

let mpShare = require('uview-ui/libs/mixin/mpShare.js');
Vue.mixin(mpShare)
app.$mount()
// #endif

// #ifdef VUE3
import { createSSRApp } from 'vue'
export function createApp() {
  const app = createSSRApp(App)
  return {
    app
  }
}



// #endif